# ---------------------------------------------------------------------------
# The contents of this file are subject to the JOnAS Public License Version 
# 1.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License on the JOnAS web site.
#
# Software distributed under the License is distributed on an "AS IS" basis,
# WITHOUT WARRANTY OF ANY KIND, either express or implied.
# See the License for the specific terms governing rights and limitations
# under the License.
#
# The Original Code is JOnAS application server code released July 1999.
#
# The Initial Developer of the Original Code is Bull S.A.
# The Original Code and portions created by Bull S.A. are
#    Copyright (C) 1999 Bull S.A. All Rights Reserved.
#
# Contributor(s): ______________________________________.
#
# ---------------------------------------------------------------------------
# $Id$
# ---------------------------------------------------------------------------

ifndef JDKVERSION
# major JDK version (1.1 or 1.2)
JDKVERSION = 1.2
endif

ifndef OBJECTWEB_ORB
# RMI | JEREMIE
OBJECTWEB_ORB = RMI
endif

#----------------------------------------------------------------------------- 
# Platform-specific separator for paths.
#
ifneq ($(OSTYPE),cygwin32)
    PS=:
else
    PS=\;
endif

#----------------------------------------------------------------------------- 
# Platform-specific separator for paths in shells.
#
ifneq ($(OSTYPE),cygwin32)
    SPS=:
else
    SPS=\\\;
endif

all::

# init CLASSPATH before all other setting
CLASSPATH = .$(PS)$(ROOT)/classes

# add PATH for javacc
PATH := /server/products/sun/JavaCC/JavaCC1_0/bin/:$(PATH)
